org.eclipse.rdf4j.repository.sparql.config

## Class SPARQLRepositoryFactory

- java.lang.Object
- - org.eclipse.rdf4j.repository.sparql.config.SPARQLRepositoryFactory

- All Implemented Interfaces:
    RepositoryFactory

      public class SPARQLRepositoryFactory
      extends Object
      implements RepositoryFactory

  Creates `SPARQLRepository` from a configuration.
  Author:
    James Leigh

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `REPOSITORY_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQLRepositoryFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RepositoryImplConfig` | `getConfig()`
    `SPARQLRepository` | `getRepository(RepositoryImplConfig config)` Returns a Repository instance that has been initialized using the supplied configuration data.
    `String` | `getRepositoryType()` Returns the type of the repositories that this factory creates.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REPOSITORY_TYPE

          public static final String REPOSITORY_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SPARQLRepositoryFactory

          public SPARQLRepositoryFactory()

  - ### Method Detail

    - #### getRepositoryType

          public String getRepositoryType()

      Description copied from interface: `RepositoryFactory`
      Returns the type of the repositories that this factory creates. Repository types are used for identification and should uniquely identify specific implementations of the Repository API. This type can be equal to the fully qualified class name of the repository, but this is not required.
      Specified by:
        `getRepositoryType` in interface `RepositoryFactory`

    - #### getConfig

          public RepositoryImplConfig getConfig()

      Specified by:
        `getConfig` in interface `RepositoryFactory`

    - #### getRepository

          public SPARQLRepository getRepository(RepositoryImplConfig config)
                                         throws RepositoryConfigException

      Description copied from interface: `RepositoryFactory`
      Returns a Repository instance that has been initialized using the supplied configuration data.
      Specified by:
        `getRepository` in interface `RepositoryFactory`
      Parameters:
        `config` - TODO
      Returns:
        The created (but un-initialized) repository.
      Throws:
        `RepositoryConfigException` - If no repository could be created due to invalid or incomplete configuration data.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.